Bug 188449 - Web Inspector: Remove TreeOutlineDataGridSynchronizer
Summary: Web Inspector: Remove TreeOutlineDataGridSynchronizer
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P3 Normal
Assignee: Matt Baker
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-08-09 13:21 PDT by Matt Baker
Modified: 2018-08-22 09:52 PDT (History)
7 users (show)

See Also:


Attachments
Patch (26.37 KB, patch)
2018-08-09 13:26 PDT, Matt Baker
no flags Details | Formatted Diff | Diff
Patch for landing (27.01 KB, patch)
2018-08-21 17:02 PDT, Matt Baker
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Baker 2018-08-09 13:21:40 PDT
It is no longer used, now that the Network grid now uses WI.Table.
Comment 1 Radar WebKit Bug Importer 2018-08-09 13:22:48 PDT
<rdar://problem/43107980>
Comment 2 Matt Baker 2018-08-09 13:26:27 PDT
Created attachment 346859 [details]
Patch
Comment 3 Devin Rousso 2018-08-14 21:57:46 PDT
Comment on attachment 346859 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=346859&action=review

r=me, nice cleanup

> Source/WebInspectorUI/ChangeLog:27
> +        (WI.TimelineDataGrid.prototype.dataGridNodeForTreeElement): Deleted.

This function also seems to be defined on `WI.RenderingFrameTimelineView`.  Is that related, or "leftover"?
Comment 4 Matt Baker 2018-08-21 17:02:54 PDT
Created attachment 347732 [details]
Patch for landing
Comment 5 WebKit Commit Bot 2018-08-21 18:08:54 PDT
Comment on attachment 347732 [details]
Patch for landing

Clearing flags on attachment: 347732

Committed r235151: <https://trac.webkit.org/changeset/235151>
Comment 6 WebKit Commit Bot 2018-08-21 18:08:56 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Michael Catanzaro 2018-08-21 19:39:10 PDT
CC Adrian: I think *every* GTK and WPE bot needs a clean build now:

ninja: error: '../../Source/WebInspectorUI/UserInterface/Views/TreeOutlineDataGridSynchronizer.js', needed by 'inspector-resources.stamp', missing and no known rule to make it

Problem is Source/WebKit/InspectorGResources.cmake doesn't have any way to deal with removed JS files.
Comment 8 Carlos Garcia Campos 2018-08-22 00:07:37 PDT
TreeOutlineDataGridSynchronizer.js is still included in WebInspectorUI/UserInterface/Main.html
Comment 9 Carlos Garcia Campos 2018-08-22 00:13:30 PDT
Committed r235163: <https://trac.webkit.org/changeset/235163>
Comment 10 Michael Catanzaro 2018-08-22 06:50:33 PDT
(In reply to Carlos Garcia Campos from comment #8)
> TreeOutlineDataGridSynchronizer.js is still included in
> WebInspectorUI/UserInterface/Main.html

Ah, whew! Much better problem to have.
Comment 11 Matt Baker 2018-08-22 09:52:24 PDT
(In reply to Carlos Garcia Campos from comment #8)
> TreeOutlineDataGridSynchronizer.js is still included in
> WebInspectorUI/UserInterface/Main.html

Oops! Thanks for fixing.